[arch-commits] CVS update of extra/lib/qwt (PKGBUILD qwtconfig-archlinux.pri)

Damir Perisa damir at archlinux.org
Tue Nov 13 08:52:42 EST 2007


    Date: Tuesday, November 13, 2007 @ 08:52:42
  Author: damir
    Path: /home/cvs-extra/extra/lib/qwt

Modified: PKGBUILD (1.9 -> 1.10) qwtconfig-archlinux.pri (1.1 -> 1.2)

qwt: update, rebuild against qt>=4 and move to /usr (not yet built - dep-chain needs pyqt>=4.x)


-------------------------+
 PKGBUILD                |   13 ++++++-------
 qwtconfig-archlinux.pri |    2 +-
 2 files changed, 7 insertions(+), 8 deletions(-)


Index: extra/lib/qwt/PKGBUILD
diff -u extra/lib/qwt/PKGBUILD:1.9 extra/lib/qwt/PKGBUILD:1.10
--- extra/lib/qwt/PKGBUILD:1.9	Sat Nov 10 10:21:28 2007
+++ extra/lib/qwt/PKGBUILD	Tue Nov 13 08:52:41 2007
@@ -1,13 +1,13 @@
-# $Id: PKGBUILD,v 1.9 2007/11/10 15:21:28 pierre Exp $
+# $Id: PKGBUILD,v 1.10 2007/11/13 13:52:41 damir Exp $
 # Maintainer: damir <damir at archlinux.org>
 
 pkgname=qwt
-pkgver=5.0.1
-pkgrel=2
+pkgver=5.0.2
+pkgrel=1
 pkgdesc="Qt Widgets for Technical Applications"
 arch=("i686" "x86_64")
 url="http://qwt.sourceforge.net/"
-depends=('qt3>=3.3.8')
+depends=('qt>=4.3.1')
 options=('!makeflags')
 license=("custom:$pkgname")
 source=("http://puzzle.dl.sourceforge.net/sourceforge/qwt/$pkgname-$pkgver.tar.bz2" \
@@ -15,15 +15,14 @@
 
 build() {
   cd $startdir/src/$pkgname-$pkgver
-  . /etc/profile.d/qt3.sh
+#  . /etc/profile.d/qt3.sh
   # copy our config file to the right place
   cp -f $startdir/src/qwtconfig-archlinux.pri $startdir/src/$pkgname-$pkgver/qwtconfig.pri || return 1
   # build qwt:
   qmake qwt.pro
   make || return 1
-  make INSTALL_ROOT=$startdir/pkg QTDIR=/opt/qt install || return 1
+  make INSTALL_ROOT=$startdir/pkg QTDIR=/usr install || return 1
 
   # install licence
-  mkdir -p $startdir/pkg/usr/share/licenses/custom/$pkgname/
   install -D -m644 $startdir/src/$pkgname-$pkgver/COPYING $startdir/pkg/usr/share/licenses/$pkgname/license.txt
 }
Index: extra/lib/qwt/qwtconfig-archlinux.pri
diff -u extra/lib/qwt/qwtconfig-archlinux.pri:1.1 extra/lib/qwt/qwtconfig-archlinux.pri:1.2
--- extra/lib/qwt/qwtconfig-archlinux.pri:1.1	Tue Mar  6 21:32:53 2007
+++ extra/lib/qwt/qwtconfig-archlinux.pri	Tue Nov 13 08:52:42 2007
@@ -3,7 +3,7 @@
 ######################################################################
 
 unix {
-    INSTALLBASE    = /opt/qt
+    INSTALLBASE    = /usr
 }
 
 win32 {




More information about the arch-commits mailing list